Update a workspace connector
PATCH
/v1/workspaces/{workspaceId}/connections/{connectionId}
const url = 'https://shareout.site/v1/workspaces/example/connections/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"agent_query_enabled":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://shareout.site/v1/workspaces/example/connections/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "agent_query_enabled": true }'Admin+. Currently supports toggling agent_query_enabled for the workspace assistant.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” workspaceId
required
string
Workspace ID or slug.
connectionId
required
string
Request Body required
Section titled “Request Body required ” Media type application/json
object
agent_query_enabled
boolean
Example generated
{ "agent_query_enabled": true}Responses
Section titled “ Responses ”Updated
Access denied
Media type application/json
object
success
required
boolean
error
required
Human-readable message.
string
code
required
Machine-readable error code.
string
Example
{ "success": false}